summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/common/goo2
-rwxr-xr-xbin/common/ytclipo4
-rwxr-xr-xbin/extra/1xsearch20
-rwxr-xr-xbin/extra/confirm12
-rwxr-xr-xbin/extra/trl115
-rwxr-xr-xbin/extra/wipe13
-rwxr-xr-xbin/guiscripts/keyadd45
-rwxr-xr-xbin/guiscripts/startw1
-rwxr-xr-xbin/menuscripts/mhelp20
-rwxr-xr-xbin/menuscripts/mpass10
-rw-r--r--config/X/dunst/dunstrc29
-rwxr-xr-xconfig/common/mpv/mpv.conf2
-rw-r--r--config/common/ncmpcpp/bindings4
-rw-r--r--config/essentials/nvim/lua/user/remap.lua2
-rw-r--r--config/essentials/zsh/.zshrc4
-rw-r--r--config/essentials/zsh/aliases.sh3
-rw-r--r--config/essentials/zsh/functions.zsh29
-rw-r--r--config/extra/tridactyl/tridactylrc8
-rw-r--r--config/home/.zshenv7
-rwxr-xr-xconfig/hyprland/hypr/startup.sh1
-rw-r--r--config/hyprland/waybar/config.jsonc26
-rw-r--r--config/hyprland/waybar/schemes/base16.css6
22 files changed, 257 insertions, 106 deletions
diff --git a/bin/common/goo b/bin/common/goo
index cfd03ec..a56cbaf 100755
--- a/bin/common/goo
+++ b/bin/common/goo
@@ -18,6 +18,6 @@ arduino15"
for dir in $exclude; do
dirs="$dirs -name \"$dir\" -o "
done
-cmd="find ${2:-$HOME} \(${dirs} -false \) -prune -o -type ${1:-f} -mindepth 1 -print"
+cmd="find ${dest:-$HOME} \(${dirs} -false \) -prune -o -type ${1:-f} -mindepth 1 -print"
eval "$cmd" 2>/dev/null
diff --git a/bin/common/ytclipo b/bin/common/ytclipo
index 263f1b3..7e7b9cc 100755
--- a/bin/common/ytclipo
+++ b/bin/common/ytclipo
@@ -19,8 +19,8 @@ notify-send "ytclipo" "<b>downloading</b> $inp"
yt-dlp "$inp" \
--restrict-filenames \
-f "b" \
- -S "res:720" \
+ -S "res:1080" \
-P "$HOME/vids/youtube/" \
- -o "%(title)s.%(ext)s"
+ -o "%(channel)s - %(title)s.%(ext)s"
notify-send "ytclipo" "<b>ytclipo</b><br>finished downloading."
echo "$inp" >> /tmp/ytclipo_history
diff --git a/bin/extra/1xsearch b/bin/extra/1xsearch
deleted file mode 100755
index a248d38..0000000
--- a/bin/extra/1xsearch
+++ /dev/null
@@ -1,20 +0,0 @@
-#!/bin/sh
-
-# dependencies
-which pup > /dev/null ||
- exit 1
-
-test -z "${query:=$1}" &&
- query="$(cat /dev/stdin)"
-
-url="https://1337x.to"
-query="$(echo "$query" | tr ' ' '+' )"
-result="$(curl -s "$url/search/$query/1/" |
- pup -p 'a attr{href}' |
- grep "^/torrent" |
- head -n 1)"
-# result contains / as first char
-curl -s "$url$result" |
- pup -p 'a attr{href}' |
- grep "^magnet:" |
- head -n 1
diff --git a/bin/extra/confirm b/bin/extra/confirm
new file mode 100755
index 0000000..116b468
--- /dev/null
+++ b/bin/extra/confirm
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+read_char ()
+{
+ old_stty_cfg=$(stty -g 2> /dev/null)
+ stty raw -echo 2> /dev/null
+ dd ibs=1 count=1 2> /dev/null
+ stty $old_stty_cfg 2> /dev/null
+}
+
+>&2 printf "$1 "
+read_char | grep -q "[yY]"
diff --git a/bin/extra/trl b/bin/extra/trl
new file mode 100755
index 0000000..ee42040
--- /dev/null
+++ b/bin/extra/trl
@@ -0,0 +1,115 @@
+#!/bin/sh
+
+# prints on stderr
+log () { >&2 echo "$@"; }
+
+help ()
+{
+ >&2 cat <<-EOF
+ h help
+ l clear output
+ q quit
+
+ i invert languages
+ p select primary
+ s select secondary
+ EOF
+}
+# returns available languages
+languages () {
+ cat <<-EOF
+ arabic
+ dutch
+ french
+ german
+ polish
+ english
+ portuguese
+ spanish
+ romanian
+ hebrew
+ swedish
+ italian
+ turkish
+ japanese
+ ukrainian
+ korean
+ chinese
+ czech
+ hungarian
+ danish
+ persian
+ greek
+ slovak
+ hindi
+ thai
+ EOF
+}
+
+# translates a word
+# $1: primary language
+# $2: secondary language
+# $3: word to translate
+translate ()
+{
+ curl -s "https://context.reverso.net/translation/$1-$2/$3" \
+ --compressed \
+ -H 'User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:109.0) Gecko/20100101 Firefox/116.0' \
+ -H 'Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/avif,image/webp,*/*;q=0.8' \
+ -H 'Accept-Language: en-US,en;q=0.5' \
+ -H 'Accept-Encoding: gzip, deflate, br' |
+ pup 'a.link_highlighted em text{}' |
+ sed 's/.*/\L&/' |
+ sort | uniq | sed 's/.*/ &/'
+}
+
+# prints the current language
+current_language ()
+{
+ log " current: $primary-$secondary"
+}
+
+select_language ()
+{
+ tmp="$(languages | fzf)"
+ [ "$tmp" ] && [ "$tmp" != "$primary" ] && [ "$tmp" != "$secondary" ] &&
+ eval "$1=\"$tmp\""
+ current_language
+}
+
+# set default languages
+primary=french
+secondary=dutch
+
+
+main ()
+{
+ current_language
+ while true
+ do
+ log -n '>'
+ read -r prompt
+ test $? -eq 1 && exit 0 # quit on ctrl-d
+ case "$prompt" in
+ q) break ;;
+ l) clear ;;
+ i) tmp="$secondary"; secondary="$primary"; primary="$tmp"
+ current_language ;;
+ h) help ;; # TODO
+ p) select_language primary ;;
+ s) select_language secondary ;;
+ '') ;;
+ *) translate "$primary" "$secondary" "$prompt" ;;
+ esac
+ done
+}
+
+
+if [ "$1" = "--help" ] || [ "$1" = "-h" ]
+then
+ log "usage: trl"
+ help
+ exit
+fi
+
+main
diff --git a/bin/extra/wipe b/bin/extra/wipe
new file mode 100755
index 0000000..ec2abe9
--- /dev/null
+++ b/bin/extra/wipe
@@ -0,0 +1,13 @@
+#!/bin/sh
+[ 0 -eq "$#" ] && >&2 echo 'usage: wipe <file>' && exit 1
+[ ! -f "$1" ] && [ ! -d "$1" ] && >&2 echo "'$1' not found." && exit 1
+
+confirm "sure?" || exit 1
+>&2 printf "\n"
+
+find "$1" -type f -print0 |
+ xargs -0I{} shred -uz "{}" &&
+ [ -d "$1" ] && # remove leftovver empty directories
+ find "$1" | tac | tr '\n' '\0' |
+ xargs -0I{} rm -d "{}" &&
+ >&2 echo "wiped."
diff --git a/bin/guiscripts/keyadd b/bin/guiscripts/keyadd
index 96d6d03..cb81efe 100755
--- a/bin/guiscripts/keyadd
+++ b/bin/guiscripts/keyadd
@@ -22,9 +22,24 @@ die ()
echo "$1" >&2
}
+notify ()
+{
+ notify-send -t 1000 "keyadd" "$1"
+ die "$1"
+}
+
+
SSHFOLDER="$HOME/.ssh"
-if test -z "${key:=$1}"
+# Test if can connect to ssh-agent
+ssh-add -l > /dev/null 2>&1
+if [ $? -gt 1 ] # ignore if there are no identities
+then
+ notify "Could not connect to agent."
+ exit 1
+fi
+
+if [ -z "${key:=$1}" ]
then
key="$(find "$SSHFOLDER" -iname "*.pub" |
sed "s,$SSHFOLDER/,," | # Clean
@@ -35,24 +50,26 @@ else
fi
die "key: $key"
-test ! -f "$SSHFOLDER/$key" && exit 1
+[ ! -f "$SSHFOLDER/$key" ] && exit 1
-HOST=$(hostnamectl hostname | sed 's/forlure/fl/;s/montecristo/mc/')
-die "HOST: $HOST"
+HOST=$(hostnamectl hostname)
+die "host: $HOST"
if [ "$1" = "-d" ]
then
- ssh-add -d - < "$SSHFOLDER"/$key.pub &&
- notify-send "$0" "deleted <b>$key</b>" ||
- notify-send "$0" "could not delete."
-elif ! ssh-add -l | grep -q "$(ssh-keygen -lf "$SSHFOLDER"/$key)"
+ if ssh-add -q -d - < "$SSHFOLDER"/"$key".pub 2> /dev/null
+ then
+ notify "Deleted <b>$key</b>"
+ else
+ notify "Could not delete."
+ fi
+# check if key is already added
+elif ssh-add -l | grep -q "$(ssh-keygen -lf "$SSHFOLDER"/"$key")"
then
- die "adding: $key"
+ notify "Key already added."
+else
export PASSWORD="keys/$HOST/ssh/$key"
export SSH_ASKPASS="$0"
- ssh-add - < "$SSHFOLDER"/$key &&
- notify-send "$0" "added <b>$key</b>"
-else
- die "key already added."
- notify-send "$0" "key already added."
+ ssh-add -q - < "$SSHFOLDER"/"$key" &&
+ notify "Added <b>$key</b>."
fi
diff --git a/bin/guiscripts/startw b/bin/guiscripts/startw
index 768f401..9b35556 100755
--- a/bin/guiscripts/startw
+++ b/bin/guiscripts/startw
@@ -1,5 +1,6 @@
#!/bin/sh
eval "$(keychain --dir "$XDG_CONFIG_HOME/keychain" --eval --quiet --agents gpg,ssh)"
+eval "$(keychain --dir "$XDG_CONFIG_HOME/keychain" --eval --quiet --agents gpg 3A626DD20A32EB2E5DD9CE71CFD9ABC97158CD5D 2> /dev/null)"
Hyprland
diff --git a/bin/menuscripts/mhelp b/bin/menuscripts/mhelp
index e03222b..5963a88 100755
--- a/bin/menuscripts/mhelp
+++ b/bin/menuscripts/mhelp
@@ -1,5 +1,4 @@
#!/usr/bin/env sh
-OPTIONS="/tmp/dmh_options.txt"
if [ "$MENUCMD" = "tofi" ]
then
@@ -16,18 +15,15 @@ fi
test -z "$program" && exit 1
-if $program --help > "$OPTIONS"
-then
- option="$(grep "^ *-[-a-zA-Z0-9]* " "$OPTIONS" |
- tr -s ' ' |
- sort |
- uniq |
- column -l 2 -t |
- $menucmd |
- awk '{print $1}')"
-fi
+option="$($program --help |
+ # Parse options
+ grep "^ *-[-a-zA-Z0-9]* " |
+ tr -s ' ' |
+ sort | uniq |
+ column -l 2 -t |
+ $menucmd |
+ awk '{print $1}')"
test -z "$option" && exit 1
-rm -f "$OPTIONS"
setsid $program $option
diff --git a/bin/menuscripts/mpass b/bin/menuscripts/mpass
index a50f0fb..4ecd4bc 100755
--- a/bin/menuscripts/mpass
+++ b/bin/menuscripts/mpass
@@ -16,10 +16,10 @@ do
[ "$choice" ] || break
file="$file/$choice"
done
-
test -z "$file" && exit 1
-pass show -c "$file" &&
- if [ -n "$WAYLAND_DISPLAY" ] && cliphist list >/dev/null
-then
+
+pass show -c "$file" || exit 1
+notify-send -t 1000 "mpass" "copied <b>$choice</b>"
+
+[ "$WAYLAND_DISPLAY" ] && cliphist list >/dev/null && # on wayland and cliphist is running
cliphist list | head -n 1 | cliphist delete
-fi
diff --git a/config/X/dunst/dunstrc b/config/X/dunst/dunstrc
index 71998b9..6127474 100644
--- a/config/X/dunst/dunstrc
+++ b/config/X/dunst/dunstrc
@@ -30,10 +30,10 @@
height = 80
# Position the notification in the top right corner
- origin = top-center
+ origin = right
# Offset from the origin
- offset = 0x10
+ offset = 10x10
# Scale factor. It is auto-detected if value is 0.
scale = 0
@@ -87,7 +87,7 @@
# Defines width in pixels of frame around the notification window.
# Set to 0 to disable.
- frame_width = 1
+ frame_width = 0
# Defines color of the frame around the notification window.
frame_color = "#969B95"
@@ -96,7 +96,7 @@
# If value is greater than 0, separator_height will be ignored and a border
# of size frame_width will be drawn around each notification instead.
# Click events on gaps do not currently propagate to applications below.
- gap_size = 2
+ gap_size = 4
# Define a color for the separator.
# possible values are:
@@ -118,11 +118,11 @@
### Text ###
- font = mononoki nerd font mono 10
+ font = mononoki nerd font mono 11
# The spacing between lines. If the height is smaller than the
# font height, it will get raised to the font height.
- line_height = 11
+ line_height = 7
# Possible values are:
# full: Allow a small subset of html markup in notifications:
@@ -158,7 +158,7 @@
# %n progress value if set without any extra characters
# %% Literal %
# Markup is allowed
- format = "%b"
+ format = "[<u>%s</u>]\n%b"
# Alignment of message text.
# Possible values are "left", "center" and "right".
@@ -181,13 +181,13 @@
ignore_newline = no
# Stack together notifications with the same content
- stack_duplicates = false
+ stack_duplicates = true
# Hide the count of stacked notifications with the same content
hide_duplicate_count = false
# Display indicators for URLs (U) and actions (A).
- show_indicators = no
+ show_indicators = yes
### Icons ###
@@ -310,13 +310,13 @@
# Otherwise the "#" and following would be interpreted as a comment.
# Icon for notifications with low urgency, uncomment to enable
#default_icon = /path/to/icon
- background = "#d08770"
- foreground = "#2E3541"
+ background = "#b48ead"
+ foreground = "#2e3440"
frame_color = "#81a1c1"
timeout = 6
[urgency_normal]
- background = "#b48ead"
+ background = "#81a1c1"
foreground = "#2e3440"
frame_color = "#2e3440"
timeout = 5
@@ -324,9 +324,10 @@
#default_icon = /path/to/icon
[urgency_critical]
- background = "#b48ead"
- foreground = "#d8dee9"
+ background = "#d08770"
+ foreground = "#2e3440"
frame_color = "#81a1c1"
+ format = "[<u>%s</u>]\n<b>%b</b>"
timeout = 0
# Icon for notifications with critical urgency, uncomment to enable
#default_icon = /path/to/icon
diff --git a/config/common/mpv/mpv.conf b/config/common/mpv/mpv.conf
index 4f5e251..7d9d1fe 100755
--- a/config/common/mpv/mpv.conf
+++ b/config/common/mpv/mpv.conf
@@ -26,3 +26,5 @@ force-seekable=yes
slang=eng, en, english
alang=jpn
+
+screenshot-directory=~/pics/screenshots
diff --git a/config/common/ncmpcpp/bindings b/config/common/ncmpcpp/bindings
index d2a5eb6..b7921e7 100644
--- a/config/common/ncmpcpp/bindings
+++ b/config/common/ncmpcpp/bindings
@@ -194,9 +194,9 @@ def_key "p"
def_key "P"
play
-def_key "H"
+def_key "g"
move_home
-def_key "L"
+def_key "G"
move_end
def_key "ctrl-u"
diff --git a/config/essentials/nvim/lua/user/remap.lua b/config/essentials/nvim/lua/user/remap.lua
index 7c6d87f..e59b81a 100644
--- a/config/essentials/nvim/lua/user/remap.lua
+++ b/config/essentials/nvim/lua/user/remap.lua
@@ -15,6 +15,8 @@ vim.keymap.set("i", "\\\\", "\\", { noremap = true })
vim.keymap.set("n", "gb", "<cmd>buffers<cr>:buffer<Space>", { noremap = true })
vim.keymap.set("n", "<Leader>q", "<cmd>q!<cr>", { noremap = true })
vim.keymap.set("n", "<Leader>Q", "<cmd>qa!<cr>", { noremap = true })
+-- close all except focused buffer
+vim.keymap.set("n", "<leader>1", "<cmd>%bd|e#<cr>", { noremap = true })
-- Windows
vim.keymap.set("n", "<A-h>", "<C-W>h", { noremap = true })
diff --git a/config/essentials/zsh/.zshrc b/config/essentials/zsh/.zshrc
index d8675d4..0665533 100644
--- a/config/essentials/zsh/.zshrc
+++ b/config/essentials/zsh/.zshrc
@@ -5,9 +5,9 @@ then
clear
if [ "/dev/tty1" = "$TTY" ]
then
- startw > /dev/null 2>&1
+ exec startw > /dev/null 2>&1
else
- startx > /dev/null 2>&1
+ exec startx > /dev/null 2>&1
fi
exit
fi
diff --git a/config/essentials/zsh/aliases.sh b/config/essentials/zsh/aliases.sh
index 3884582..461546a 100644
--- a/config/essentials/zsh/aliases.sh
+++ b/config/essentials/zsh/aliases.sh
@@ -128,6 +128,7 @@ alias xrandr-default='xrandr --auto --output VGA-1 --mode 1920x1080 --left-of HD
alias d='du -d 0 -h'
alias dud='du .* * -d 0 -h 2>/dev/null | sort -h'
alias df='df -h'
+alias diff='diff -u --color'
alias shred='shred -uz'
alias lsblk='lsblk -o name,type,fsused,fsavail,size,fstype,label,mountpoint'
alias floc='doas find / -type "f" 2> /dev/null | grep'
@@ -181,7 +182,7 @@ alias wf='doas wipefs -a'
alias dmci="doas make clean install"
alias rmd='rm -f *.{orig,rej}'
alias cdzot='mkdir -p /tmp/zottesite && cd /tmp/zottesite'
-alias gdate="date +%y%m%d_%H%M%S"
+alias gdate='date +%y_%m_%d-%T'
alias tpid='tail -f /dev/null --pid'
alias vbm='vboxmanage'
diff --git a/config/essentials/zsh/functions.zsh b/config/essentials/zsh/functions.zsh
index 671e6fb..3c5f11f 100644
--- a/config/essentials/zsh/functions.zsh
+++ b/config/essentials/zsh/functions.zsh
@@ -39,23 +39,30 @@ nnn() { test -z "$NNNLVL" && /usr/bin/nnn "$@" || exit }
ranger() { test -z "$RANGER_LEVEL" && /usr/bin/ranger "$@" || exit }
# googoo aliases
-ff () { goo f "$1" | fzf }
-fd () { goo d "$1" | fzf }
-fdf () { goo f "$1" | fzf | xargs -I {} dirname "{}" }
+_googoo_fzf_opt ()
+{
+ if [ "$1" ]
+ then
+ [ -d "$1" ] && dest="$1" || opt="-q $1"
+ fi
+}
o ()
{
- f="$(ff $1)"
+ _googoo_fzf_opt "$1"
+ f="$(goo f "dest" | fzf $opt)"
test "$1" && shift
- test -n "$f" && $EDITOR $@ "$f"
+ test -f "$f" && $EDITOR $@ "$f"
}
go ()
{
- d="$(fd $1)"
+ _googoo_fzf_opt "$1"
+ d="$(goo d "$dest" | fzf $opt)"
test -d "$d" && cd "$d"
}
ogo ()
{
- d="$(fdf $1)"
+ _googoo_fzf_opt "$1"
+ d="$(dirname "$(goo f "$dest")" | fzf $opt)"
test -d "$d" && cd "$d"
}
@@ -69,7 +76,13 @@ ipc ()
fi
}
-calc () { echo "$@" | bc -l }
+calc () { echo "$@" | bc -l | numfmt --grouping; }
+
+psgrep ()
+{
+ [ $# -eq 0 ] && return 1
+ pgrep "$@" | xargs ps
+}
unique () {
local f
diff --git a/config/extra/tridactyl/tridactylrc b/config/extra/tridactyl/tridactylrc
index 2de07b4..f7e1935 100644
--- a/config/extra/tridactyl/tridactylrc
+++ b/config/extra/tridactyl/tridactylrc
@@ -60,3 +60,11 @@ bind gpdy tabopen http://debuc.com:9010
" For syntax highlighting see https://github.com/tridactyl/vim-tridactyl
" vim: set filetype=tridactyl
+
+modeindicatormodes.normal true
+set modeindicatormodes.insert true
+set modeindicatormodes.input true
+set modeindicatormodes.ignore false
+set modeindicatormodes.ex true
+set modeindicatormodes.hint true
+set modeindicatormodes.visual true
diff --git a/config/home/.zshenv b/config/home/.zshenv
index d1cd73a..9a8206c 100644
--- a/config/home/.zshenv
+++ b/config/home/.zshenv
@@ -19,11 +19,16 @@ export GTK2_RC_FILES="$XDG_CONFIG_HOME"/gtk-2.0/gtkrc
export GNUPGHOME="$XDG_CONFIG_HOME"/gnupg
export GTK2_RC_FILES="$XDG_CONFIG_HOME"/gtk-2.0/gtkrc-2.0
export NPM_CONFIG_USERCONFIG="$XDG_CONFIG_HOME"/npm/npmrc
-export NVM_DIR="$XDG_DATA_HOME/nvm"
+export NVM_DIR="$XDG_DATA_HOME"/nvm
export W3M_DIR="$XDG_STATE_HOME"/w3m
export GOPATH="$XDG_DATA_HOME"/go
export GOMODCACHE="$XDG_CACHE_HOME"/go/mod
export TNS_ADMIN=/opt/oracle/instantclient_21_9/network/admin
+export WGETRC="$XDG_CONFIG_HOME"/wgetrc
+export NUGET_PACKAGES="$XDG_CACHE_HOME"/NuGetPackages
+export PARALLEL_HOME="$XDG_CONFIG_HOME"/parallel
+export MYSQL_HISTFILE="$XDG_DATA_HOME"/mysql_history
+export RANDFILE="$XDG_CACHE_HOME"/rnd
export XINITRC="$XDG_CONFIG_HOME/x11"/xinitrc
export XAUTHORITY="$XDG_RUNTIME_DIR"/Xauthority
diff --git a/config/hyprland/hypr/startup.sh b/config/hyprland/hypr/startup.sh
index 83fefe4..6d5957f 100755
--- a/config/hyprland/hypr/startup.sh
+++ b/config/hyprland/hypr/startup.sh
@@ -5,3 +5,4 @@ gammastep &
wl-paste --watch cliphist store &
keyadd id_rsa &
swayidle 300 locker &
+$TERMINAL &
diff --git a/config/hyprland/waybar/config.jsonc b/config/hyprland/waybar/config.jsonc
index d2bad38..0fc585f 100644
--- a/config/hyprland/waybar/config.jsonc
+++ b/config/hyprland/waybar/config.jsonc
@@ -1,28 +1,14 @@
{
"layer": "top",
- "modules-left": ["battery", "clock", "hyprland/workspaces", "mpd"],
- "modules-center": ["hyprland/window"],
+ "modules-left": ["battery", "hyprland/workspaces", "mpd", "hyprland/window"],
+ "modules-center": ["clock"],
"modules-right": ["custom/wireguard", "network", "pulseaudio", "temperature", "cpu", "custom/memory", "tray"],
- "hyprland/workspaces": {
- "format": "{icon}",
- "format-icons": {
- "1": "I",
- "2": "II",
- "3": "III",
- "4": "IV",
- "5": "V",
- "6": "VI",
- "7": "VII",
- "8": "VIII",
- "9": "IX",
- },
- },
"mpd": {
"tooltip": false,
"format": "{artist} - {title} ({elapsedTime:%M:%S}/{totalTime:%M:%S})",
"artist-len": 24,
- "format-disconnected": "",
- "format-stopped": "",
+ "format-disconnected": "s",
+ "format-stopped": "s",
"state-icons": {
"playing": "",
"paused": "",
@@ -78,8 +64,8 @@
"restart-interval": 3,
},
"clock": {
- "format": "{:%H:%M}",
- "format-alt": "{:(%R) %A %d %B}",
+ "format": "{:%R}",
+ "format-alt": "{:(%T) %A %d %B}",
"interval": 1,
},
"tray": {
diff --git a/config/hyprland/waybar/schemes/base16.css b/config/hyprland/waybar/schemes/base16.css
index 589cc12..61378fd 100644
--- a/config/hyprland/waybar/schemes/base16.css
+++ b/config/hyprland/waybar/schemes/base16.css
@@ -38,7 +38,6 @@ window#waybar.PCSX2 #window {
}
#mpd, #battery,
-#window,
#custom-wireguard, #network, #pulseaudio, #temperature, #cpu, #custom-memory {
margin-left: 8px;
padding-left: 16px;
@@ -47,7 +46,6 @@ window#waybar.PCSX2 #window {
}
#workspaces, #mpd, #battery, #clock,
-#window,
#custom-wireguard, #network, #pulseaudio, #temperature, #cpu, #custom-memory, #tray {
border: solid @background 2px;
margin-top: 4px;
@@ -108,8 +106,8 @@ window#waybar.PCSX2 #window {
}
#window {
- color: @background;
- background: @color4;
+ padding-left: 16px;
+ color: @color4;
}
#custom-wireguard {